## CinnamonTrayManager CinnamonTrayManager |

## Functions

CinnamonTrayManager * | cinnamon_tray_manager_new ()
void | cinnamon_tray_manager_manage_stage ()
void | cinnamon_tray_manager_redisplay ()

## Properties

ClutterColor * | bg-color | Read / Write / Construct Only

## Signals

void | tray-icon-added | Run Last
void | tray-icon-removed | Run Last

## Object Hierarchy

        GObject
        ╰── CinnamonTrayManager

## Description

## Functions

### cinnamon_tray_manager_new ()

    CinnamonTrayManager *
    cinnamon_tray_manager_new (void);

### cinnamon_tray_manager_manage_stage ()

    void
    cinnamon_tray_manager_manage_stage (CinnamonTrayManager *manager,
                                        ClutterStage *stage,
                                        StWidget *theme_widget);

### cinnamon_tray_manager_redisplay ()

    void
    cinnamon_tray_manager_redisplay (CinnamonTrayManager *manager);

## Types and Values

## Property Details

### The `“bg-color”` property

      “bg-color”                 ClutterColor *

Background color (only if we don't have transparency).

Flags: Read / Write / Construct Only

## Signal Details

### The `“tray-icon-added”` signal

    void
    user_function (CinnamonTrayManager *cinnamontraymanager,
                   ClutterActor        *arg1,
                   gpointer             user_data)

Flags: Run Last

### The `“tray-icon-removed”` signal

    void
    user_function (CinnamonTrayManager *cinnamontraymanager,
                   ClutterActor        *arg1,
                   gpointer             user_data)

Flags: Run Last